Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class ForeignKeyDirection

    java.lang.Object
      org.hibernate.type.ForeignKeyDirection

All Implemented Interfaces:
  Serializable

    public abstract class ForeignKeyDirection

extends Object
implements Serializable

Represents directionality of the foreign key constraint

See Also:
  Serialized Form

Field Summary
`static ForeignKeyDirection` | `FOREIGN_KEY_FROM_PARENT` A foreign key from parent to child
`static ForeignKeyDirection` | `FOREIGN_KEY_TO_PARENT` A foreign key from child to parent

Constructor Summary
`protected` | `ForeignKeyDirection()`

Method Summary
`abstract boolean` | `cascadeNow(int cascadePoint)` Should we cascade at this cascade point?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOREIGN_KEY_TO_PARENT

    public static final ForeignKeyDirection FOREIGN_KEY_TO_PARENT

  A foreign key from child to parent

### FOREIGN_KEY_FROM_PARENT

    public static final ForeignKeyDirection FOREIGN_KEY_FROM_PARENT

  A foreign key from parent to child

Constructor Detail

### ForeignKeyDirection

    protected ForeignKeyDirection()

Method Detail

### cascadeNow

    public abstract boolean cascadeNow(int cascadePoint)

  Should we cascade at this cascade point?

  See Also:
    `Cascade`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.